Bug 41954 - Kernel oops on Pentium II (unable to handle kernel paging request)
Kernel oops on Pentium II (unable to handle kernel paging request)
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-23 06:56 EDT by Jeremy Sanders
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-23 06:56:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2001-05-23 06:56:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.8.1+)
Gecko/20010430

Description of problem:
We have a Pentium II (Klamath) oopsing (sometimes crashing the machine)
with the following oops (standard i686 kernel):

Unable to handle kernel paging request at virtual address 840fc084
 printing eip:
c0147af7
pgd entry c6d3e840: 0000000000000000
pmd entry c6d3e840: 0000000000000000
... pmd not present!
Oops: 0002
CPU:    0
EIP:    0010:[<c0147af7>]
EFLAGS: 00010246
eax: 00000000   ebx: c36a2bc0   ecx: c36a2bd0   edx: c36a2bd0
esi: c0268f20   edi: c36a2bc0   ebp: c51bb960   esp: c6cd1f40
ds: 0018   es: 0018   ss: 0018
Process ypbind (pid: 575, stackpage=c6cd1000)
Stack: c6d5b060 00000000 c36a2cd0 c1230440 c51bb960 c36a2bc0 c0145a0d c36a2bc0 
       c36a2cd0 ffffffff c79b62c0 00000000 c79b62c0 c1230440 c0134531 c51bb960 
       c79b62c0 00000000 080500e0 41182a94 c0133603 c79b62c0 c7dce6c0 00000000 
Call Trace: [<c0145a0d>] [<c0134531>] [<c0133603>] [<c0133653>]
[<c010901b>] [<c010002b>] 

Code: 0f 94 80 84 c0 0f 84 0d 01 00 00 66 83 7b 2c 00 0f 85 93 00 

We've ran a memory tester (memtest86), and it reported no faults after
several hours. The machine worked for a long time with a 2.2.19 kernel with
no problems. Is this hardware or the kernel??


How reproducible:
Always

Steps to Reproduce:
1. Leave machine. Happens roughly every few hours
2.
3.
	

Additional info:

From ksymoops:

ksymoops 2.4.0 on i686 2.4.2-2.  Options used
     -v /boot/vmlinux-2.4.2-2 (specified)
     -k /proc/ksyms (default)
     -l /proc/modules (default)
     -o /lib/modules/2.4.2-2/ (default)
     -m /boot/System.map-2.4.2-2 (default)

[...warnings...]

Unable to handle kernel paging request at virtual address 840fc084
c0147af7
Oops: 0002
CPU:    0
EIP:    0010:[<c0147af7>]
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 00010246
eax: 00000000   ebx: c36a2bc0   ecx: c36a2bd0   edx: c36a2bd0
esi: c0268f20   edi: c36a2bc0   ebp: c51bb960   esp: c6cd1f40
ds: 0018   es: 0018   ss: 0018
Process ypbind (pid: 575, stackpage=c6cd1000)
Stack: c6d5b060 00000000 c36a2cd0 c1230440 c51bb960 c36a2bc0 c0145a0d c36a2bc0 
       c36a2cd0 ffffffff c79b62c0 00000000 c79b62c0 c1230440 c0134531 c51bb960 
       c79b62c0 00000000 080500e0 41182a94 c0133603 c79b62c0 c7dce6c0 00000000 
Call Trace: [<c0145a0d>] [<c0134531>] [<c0133603>] [<c0133653>]
[<c010901b>] [<c010002b>] 
Code: 0f 94 80 84 c0 0f 84 0d 01 00 00 66 83 7b 2c 00 0f 85 93 00 

>>EIP; c0147af7 <iput_free+37/160>   <=====
Trace; c0145a0d <dput+10d/180>
Trace; c0134531 <fput+71/d0>
Trace; c0133603 <filp_close+53/60>
Trace; c0133653 <sys_close+43/50>
Trace; c010901b <system_call+33/38>
Trace; c010002b <startup_32+2b/139>
Code;  c0147af7 <iput_free+37/160>
00000000 <_EIP>:
Code;  c0147af7 <iput_free+37/160>   <=====
   0:   0f 94 80 84 c0 0f 84      sete   0x840fc084(%eax)   <=====
Code;  c0147afe <iput_free+3e/160>
   7:   0d 01 00 00 66         or     $0x66000001,%eax
Code;  c0147b03 <iput_free+43/160>
   c:   83 7b 2c 00               cmpl   $0x0,0x2c(%ebx)
Code;  c0147b07 <iput_free+47/160>
  10:   0f 85 93 00 00 00         jne    a9 <_EIP+0xa9> c0147ba0
<iput_free+e0/160>


18 warnings and 4 errors issued.  Results may not be reliable.

pci:xpc6:/root> cat /proc/pci
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Intel Corporation 440FX - 82441FX PMC [Natoma] (rev 2).
      Master Capable.  Latency=32.  
  Bus  0, device   7, function  0:
    ISA bridge: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II] (rev 1).
  Bus  0, device   7, function  1:
    IDE interface: Intel Corporation 82371SB PIIX3 IDE [Natoma/Triton II]
(rev 0).
      Master Capable.  Latency=32.  
      I/O at 0xffa0 [0xffaf].
  Bus  0, device  15, function  0:
    Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 4).
      IRQ 10.
      Master Capable.  Latency=72.  Min Gnt=8.Max Lat=56.
      Prefetchable 32 bit memory at 0xfff7f000 [0xfff7ffff].
      I/O at 0xff80 [0xff9f].
      Non-prefetchable 32 bit memory at 0xffe00000 [0xffefffff].
  Bus  0, device  17, function  0:
    SCSI storage controller: Adaptec 7892A (rev 2).
      IRQ 10.
      Master Capable.  Latency=240.  Min Gnt=40.Max Lat=25.
      I/O at 0xfc00 [0xfcff].
      Non-prefetchable 64 bit memory at 0xffbeb000 [0xffbebfff].
  Bus  0, device  19, function  0:
    VGA compatible controller: Matrox Graphics, Inc. MGA 2164W [Millennium
II] (rev 0).
      IRQ 11.
      Master Capable.  Latency=32.  
      Prefetchable 32 bit memory at 0xfb000000 [0xfbffffff].
      Non-prefetchable 32 bit memory at 0xffbec000 [0xffbeffff].
      Non-prefetchable 32 bit memory at 0xff000000 [0xff7fffff].

/proc/meminfo:

        total:    used:    free:  shared: buffers:  cached:
Mem:  129748992 126480384  3268608        0  3276800 51159040
Swap: 1085718528  3309568 1082408960
MemTotal:       126708 kB
MemFree:          3192 kB
MemShared:           0 kB
Buffers:          3200 kB
Cached:          49960 kB
Active:          47276 kB
Inact_dirty:      3712 kB
Inact_clean:      2172 kB
Inact_target:      596 kB
HighTotal:           0 kB
HighFree:            0 kB
LowTotal:       126708 kB
LowFree:          3192 kB
SwapTotal:     1060272 kB
SwapFree:      1057040 kB
Comment 1 Arjan van de Ven 2001-06-26 09:37:11 EDT
errata kernel 2.4.3-12 is very likely to have this fixed.
Please reopen if it isn't fixed in this kernel.

Note You need to log in before you can comment on or make changes to this bug.